# Installation de logwatch

Nous allons installer logwatch qui nous enverra chaque jour un rapport de surveillance des services surveillés.

La configuration se fait dans **/usr/share/logwatch/default.conf/logwatch.conf**

## Installation

    pi@raspberrypi:~ $ sudo apt install logwatch
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Les paquets supplémentaires suivants seront installés : 
    exim4-base exim4-config exim4-daemon-light guile-2.2-libs libdate-manip-perl libgnutls-dane0 libgsasl7 libkyotocabinet16v5 libltdl7 liblzo2-2
    libmailutils5 libmariadb3 libntlm0 libpython2.7 libsys-cpu-perl libsys-meminfo-perl libunbound8 mailutils mailutils-common mariadb-common
    mysql-common
    Paquets suggérés :
    exim4-doc-html | exim4-doc-info eximon4 spf-tools-perl swaks mailutils-mh mailutils-doc
    Les NOUVEAUX paquets suivants seront installés :
    exim4-base exim4-config exim4-daemon-light guile-2.2-libs libdate-manip-perl libgnutls-dane0 libgsasl7 libkyotocabinet16v5 libltdl7 liblzo2-2
    libmailutils5 libmariadb3 libntlm0 libpython2.7 libsys-cpu-perl libsys-meminfo-perl libunbound8 logwatch mailutils mailutils-common
    mariadb-common mysql-common
    0 mis à jour, 22 nouvellement installés, 0 à enlever et 0 non mis à jour.
    Il est nécessaire de prendre 13,0 Mo dans les archives.
    Après cette opération, 72,1 Mo d'espace disque supplémentaires seront utilisés.
    Souhaitez-vous continuer ? [O/n] o
    Réception de :1 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/raspbian/raspbian buster/main armhf exim4-config all 4.92-8+deb10u4 [323 kB]
    Réception de :4 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/raspbian/raspbian buster/main armhf libgnutls-dane0 armhf 3.6.7-4+deb10u6 [315 kB]
    Réception de :2 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf exim4-base armhf 4.92-8+deb10u4 [1 132 kB]
    Réception de :3 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libunbound8 armhf 1.9.0-2+deb10u2 [403 kB]                       
    Réception de :7 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf guile-2.2-libs armhf 2.2.4+1-2+deb10u1 [4 918 kB]
    Réception de :5 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf exim4-daemon-light armhf 4.92-8+deb10u4 [492 kB]
    Réception de :6 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libltdl7 armhf 2.4.6-9 [387 kB]         
    Réception de :20 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/raspbian/raspbian buster/main armhf libsys-meminfo-perl armhf 0.99-1+b2 [9 564 B]
    Réception de :8 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libdate-manip-perl all 6.76-1 [930 kB]                           
    Réception de :21 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/raspbian/raspbian buster/main armhf logwatch all 7.5.0-1 [380 kB]
    Réception de :22 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/raspbian/raspbian buster/main armhf mailutils armhf 1:3.5-4 [566 kB]            
    Réception de :9 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libntlm0 armhf 1.5-1+deb10u1 [21,6 kB]
    Réception de :10 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libgsasl7 armhf 1.8.0-8+b1 [196 kB]
    Réception de :11 http://ftp.crifo.org/raspbian/raspbian buster/main armhf liblzo2-2 armhf 2.10-0.1 [48,4 kB]                                     
    Réception de :14 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf mysql-common all 5.8+1.0.5 [7 324 B]                            
    Réception de :15 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf mariadb-common all 1:10.3.27-0+deb10u1 [32,2 kB]                
    Réception de :16 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libmariadb3 armhf 1:10.3.27-0+deb10u1 [158 kB]                  
    Réception de :17 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libpython2.7 armhf 2.7.16-2+deb10u1 [873 kB]                    
    Réception de :19 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libsys-cpu-perl armhf 0.61-2+b3 [9 332 B]                       
    Réception de :12 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf libkyotocabinet16v5 armhf 1.2.76-4.2+rpi1 [280 kB]      
    Réception de :13 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf mailutils-common all 1:3.5-4 [689 kB]                   
    Réception de :18 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf libmailutils5 armhf 1:3.5-4 [809 kB]                    
    13,0 Mo réceptionnés en 11s (1 139 ko/s)                                                                                                         
    Préconfiguration des paquets...
    Sélection du paquet exim4-config précédemment désélectionné.
    (Lecture de la base de données... 44347 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../00-exim4-config_4.92-8+deb10u4_all.deb ...
    Dépaquetage de exim4-config (4.92-8+deb10u4) ...
    Sélection du paquet exim4-base précédemment désélectionné.
    Préparation du dépaquetage de .../01-exim4-base_4.92-8+deb10u4_armhf.deb ...
    Dépaquetage de exim4-base (4.92-8+deb10u4) ...
    Sélection du paquet libunbound8:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../02-libunbound8_1.9.0-2+deb10u2_armhf.deb ...
    Dépaquetage de libunbound8:armhf (1.9.0-2+deb10u2) ...
    Sélection du paquet libgnutls-dane0:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../03-libgnutls-dane0_3.6.7-4+deb10u6_armhf.deb ...
    Dépaquetage de libgnutls-dane0:armhf (3.6.7-4+deb10u6) ...
    Sélection du paquet exim4-daemon-light précédemment désélectionné.
    Préparation du dépaquetage de .../04-exim4-daemon-light_4.92-8+deb10u4_armhf.deb ...
    Dépaquetage de exim4-daemon-light (4.92-8+deb10u4) ...
    Sélection du paquet libltdl7:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../05-libltdl7_2.4.6-9_armhf.deb ...
    Dépaquetage de libltdl7:armhf (2.4.6-9) ...
    Sélection du paquet guile-2.2-libs:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../06-guile-2.2-libs_2.2.4+1-2+deb10u1_armhf.deb ...
    Dépaquetage de guile-2.2-libs:armhf (2.2.4+1-2+deb10u1) ...
    Sélection du paquet libdate-manip-perl précédemment désélectionné.
    Préparation du dépaquetage de .../07-libdate-manip-perl_6.76-1_all.deb ...
    Dépaquetage de libdate-manip-perl (6.76-1) ...
    Sélection du paquet libntlm0:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../08-libntlm0_1.5-1+deb10u1_armhf.deb ...
    Dépaquetage de libntlm0:armhf (1.5-1+deb10u1) ...
    Sélection du paquet libgsasl7 précédemment désélectionné.
    Préparation du dépaquetage de .../09-libgsasl7_1.8.0-8+b1_armhf.deb ...
    Dépaquetage de libgsasl7 (1.8.0-8+b1) ...
    Sélection du paquet liblzo2-2:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../10-liblzo2-2_2.10-0.1_armhf.deb ...
    Dépaquetage de liblzo2-2:armhf (2.10-0.1) ...
    Sélection du paquet libkyotocabinet16v5:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../11-libkyotocabinet16v5_1.2.76-4.2+rpi1_armhf.deb ...
    Dépaquetage de libkyotocabinet16v5:armhf (1.2.76-4.2+rpi1) ...
    Sélection du paquet mailutils-common précédemment désélectionné.
    Préparation du dépaquetage de .../12-mailutils-common_1%3a3.5-4_all.deb ...
    Dépaquetage de mailutils-common (1:3.5-4) ...
    Sélection du paquet mysql-common précédemment désélectionné.
    Préparation du dépaquetage de .../13-mysql-common_5.8+1.0.5_all.deb ...
    Dépaquetage de mysql-common (5.8+1.0.5) ...
    Sélection du paquet mariadb-common précédemment désélectionné.
    Préparation du dépaquetage de .../14-mariadb-common_1%3a10.3.27-0+deb10u1_all.deb ...
    Dépaquetage de mariadb-common (1:10.3.27-0+deb10u1) ...
    Sélection du paquet libmariadb3:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../15-libmariadb3_1%3a10.3.27-0+deb10u1_armhf.deb ...
    Dépaquetage de libmariadb3:armhf (1:10.3.27-0+deb10u1) ...
    Sélection du paquet libpython2.7:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../16-libpython2.7_2.7.16-2+deb10u1_armhf.deb ...
    Dépaquetage de libpython2.7:armhf (2.7.16-2+deb10u1) ...
    Sélection du paquet libmailutils5:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../17-libmailutils5_1%3a3.5-4_armhf.deb ...
    Dépaquetage de libmailutils5:armhf (1:3.5-4) ...
    Sélection du paquet libsys-cpu-perl précédemment désélectionné.
    Préparation du dépaquetage de .../18-libsys-cpu-perl_0.61-2+b3_armhf.deb ...
    Dépaquetage de libsys-cpu-perl (0.61-2+b3) ...
    Sélection du paquet libsys-meminfo-perl précédemment désélectionné.
    Préparation du dépaquetage de .../19-libsys-meminfo-perl_0.99-1+b2_armhf.deb ...
    Dépaquetage de libsys-meminfo-perl (0.99-1+b2) ...
    Sélection du paquet logwatch précédemment désélectionné.
    Préparation du dépaquetage de .../20-logwatch_7.5.0-1_all.deb ...
    Dépaquetage de logwatch (7.5.0-1) ...
    Sélection du paquet mailutils précédemment désélectionné.
    Préparation du dépaquetage de .../21-mailutils_1%3a3.5-4_armhf.deb ...
    Dépaquetage de mailutils (1:3.5-4) ...
    Paramétrage de mysql-common (5.8+1.0.5) ...
    update-alternatives: utilisation de « /etc/mysql/my.cnf.fallback » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
    Paramétrage de libpython2.7:armhf (2.7.16-2+deb10u1) ...
    Paramétrage de libsys-cpu-perl (0.61-2+b3) ...
    Paramétrage de liblzo2-2:armhf (2.10-0.1) ...
    Paramétrage de mariadb-common (1:10.3.27-0+deb10u1) ...
    update-alternatives: utilisation de « /etc/mysql/mariadb.cnf » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
    Paramétrage de libunbound8:armhf (1.9.0-2+deb10u2) ...
    Paramétrage de libntlm0:armhf (1.5-1+deb10u1) ...
    Paramétrage de mailutils-common (1:3.5-4) ...
    Paramétrage de libmariadb3:armhf (1:10.3.27-0+deb10u1) ...
    Paramétrage de libltdl7:armhf (2.4.6-9) ...
    Paramétrage de exim4-config (4.92-8+deb10u4) ...
    Adding system-user for exim (v4)
    Paramétrage de libsys-meminfo-perl (0.99-1+b2) ...
    Paramétrage de guile-2.2-libs:armhf (2.2.4+1-2+deb10u1) ...
    Paramétrage de libdate-manip-perl (6.76-1) ...
    Paramétrage de libgnutls-dane0:armhf (3.6.7-4+deb10u6) ...
    Paramétrage de exim4-base (4.92-8+deb10u4) ...
    exim: DB upgrade, deleting hints-db
    Paramétrage de libkyotocabinet16v5:armhf (1.2.76-4.2+rpi1) ...
    Paramétrage de libgsasl7 (1.8.0-8+b1) ...
    Paramétrage de exim4-daemon-light (4.92-8+deb10u4) ...
    Initializing GnuTLS DH parameter file
    Paramétrage de libmailutils5:armhf (1:3.5-4) ...
    Paramétrage de logwatch (7.5.0-1) ...
    Paramétrage de mailutils (1:3.5-4) ...
    update-alternatives: utilisation de « /usr/bin/frm.mailutils » pour fournir « /usr/bin/frm » (frm) en mode automatique
    update-alternatives: utilisation de « /usr/bin/from.mailutils » pour fournir « /usr/bin/from » (from) en mode automatique
    update-alternatives: utilisation de « /usr/bin/messages.mailutils » pour fournir « /usr/bin/messages » (messages) en mode automatique
    update-alternatives: utilisation de « /usr/bin/movemail.mailutils » pour fournir « /usr/bin/movemail » (movemail) en mode automatique
    update-alternatives: utilisation de « /usr/bin/readmsg.mailutils » pour fournir « /usr/bin/readmsg » (readmsg) en mode automatique
    update-alternatives: utilisation de « /usr/bin/dotlock.mailutils » pour fournir « /usr/bin/dotlock » (dotlock) en mode automatique
    update-alternatives: utilisation de « /usr/bin/mail.mailutils » pour fournir « /usr/bin/mailx » (mailx) en mode automatique
    Traitement des actions différées (« triggers ») pour systemd (241-7~deb10u6+rpi1) ...
    Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
    Traitement des actions différées (« triggers ») pour libc-bin (2.28-10+rpi1) ...
    pi@raspberrypi:~ $ 



## Premières configurations

Il faut modifier les lignes suivantes:

MailTo = root   -> Mailto = pi
Range = yesterday -> Range = all

J'ai laissé la deuxième ligne à yesterday pour limiter la taille du rapport.

## Premiers tests

Nous utiliserons l'utlisateur local destinataire **pi**. Le logiciel de courrier installé n'est pas configuré pour envoyer des mails à l'extérieur.

logwatch --detail Low --mailto pi --service All --range today

Pour lire les courriers, nous installerons **mutt**.

### Installation de **mutt**

    pi@raspberrypi:~ $ sudo apt install mutt
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Les paquets supplémentaires suivants seront installés : 
    libgpgme11 libsasl2-modules libtokyocabinet9
    Paquets suggérés :
    libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal libsasl2-modules-ldap libsasl2-modules-otp libsasl2-modules-sql urlview aspell
    | ispell mixmaster
    Les NOUVEAUX paquets suivants seront installés :
    libgpgme11 libsasl2-modules libtokyocabinet9 mutt
    0 mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
    Il est nécessaire de prendre 2 121 ko dans les archives.
    Après cette opération, 7 626 ko d'espace disque supplémentaires seront utilisés.
    Souhaitez-vous continuer ? [O/n] o
    Réception de :1 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libgpgme11 armhf 1.12.0-6 [230 kB]
    Réception de :3 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf libtokyocabinet9 armhf 1.4.48-12 [311 kB]
    Réception de :2 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf libsasl2-modules armhf 2.1.27+dfsg-1+deb10u1 [96,3 kB]
    Réception de :4 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf mutt armhf 1.10.1-2.1+deb10u5 [1 484 kB]
    2 121 ko réceptionnés en 3s (803 ko/s)
    Sélection du paquet libgpgme11:armhf précédemment désélectionné.
    (Lecture de la base de données... 46838 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../libgpgme11_1.12.0-6_armhf.deb ...
    Dépaquetage de libgpgme11:armhf (1.12.0-6) ...
    Sélection du paquet libsasl2-modules:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../libsasl2-modules_2.1.27+dfsg-1+deb10u1_armhf.deb ...
    Dépaquetage de libsasl2-modules:armhf (2.1.27+dfsg-1+deb10u1) ...
    Sélection du paquet libtokyocabinet9:armhf précédemment désélectionné.
    Préparation du dépaquetage de .../libtokyocabinet9_1.4.48-12_armhf.deb ...
    Dépaquetage de libtokyocabinet9:armhf (1.4.48-12) ...
    Sélection du paquet mutt précédemment désélectionné.
    Préparation du dépaquetage de .../mutt_1.10.1-2.1+deb10u5_armhf.deb ...
    Dépaquetage de mutt (1.10.1-2.1+deb10u5) ...
    Paramétrage de libtokyocabinet9:armhf (1.4.48-12) ...
    Paramétrage de libsasl2-modules:armhf (2.1.27+dfsg-1+deb10u1) ...
    Paramétrage de libgpgme11:armhf (1.12.0-6) ...
    Paramétrage de mutt (1.10.1-2.1+deb10u5) ...
    Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
    Traitement des actions différées (« triggers ») pour mime-support (3.62) ...
    Traitement des actions différées (« triggers ») pour libc-bin (2.28-10+rpi1) ...
    pi@raspberrypi:~ $ 

### Test de lecture du courrier

![Mutt en fonctionnement](../../Images/tutoraspi/Capture%20d’écran%20de%202021-02-14%2018-48-58.png)

Nous voyons le premier courrier qui indique que **exim4** n'a pas pu envoyer un message à l'extérieur (j'avais mis mon adresse email normale dans la ligne de commande), et le second qui est bien le rapport de **logwatch**.

![Mutt en fonctionnement](../../Images/tutoraspi/Capture%20d’écran%20de%202021-02-14%2018-52-24.png)
