# Installation d'un RaspberryPi

## Introduction

Je vais vous montrer comment j'installe mon/mes RaspberryPi. Rien de bien original, cela a été traité dans de nombreux tutoriels. C'est une manière pour moi d'établir un protocole d'installation, en assurant une sécurité correcte de mon mini-serveur.

Je suis en possession de 2 raspis, un modèle 2B (que j'avais attendu 6 mois il y a des années lors du lancement) et un récent Raspi 3B avec wifi et bluetooth.

Je vais installer sur le premier "Home-assistant", sans clavier ni écran ni souris et avec une IP fixe: il sera dans la baie informatique.

Le second équipé de l'écran 7" officiel, dans un boitier adéquat et esthétique servira comme console de commande de l'éclairage, et d'affichage météo (j'ai installé une station météo "Netamo" que j'ajouterai à Home-assistant.)

![Raspi 2](../../Images/tutoraspi/20201211_102822.jpg)

![Raspi 2](../../Images/tutoraspi/20210210_102701.jpg)

![Raspi 2](../../Images/tutoraspi/20210210_102712.jpg)

Oui, ils sont un peu «poussiéreux» ...

En annexe, je présenterai une autre façon de préparer l'installation de notre Raspi qui permettra dès le départ d'avoir notre réseau configué, ainsi que le hostname et l'autorisation de connexion SSH.
