
# Introduction

Nous allons procéder à l'installation d'un serveur *maison*, *sécurisé dans la mesure du possible et de mes connaissances*, avec explications et tests, afin de comprendre le pourquoi du comment.
Nous utiliserons la distribution Debian dans sa dernière mouture : Buster.

Ce ne sera pas *un tutoriel à suivre pas à pas*, mais plutôt un ensemble d'étapes qui permettront d'installer et configurer SON serveur. Chaque étape sera accompagnée de tests pour en vérifier le fonctionnement.

Certains services seront installés, comme un serveur de courriers (Postfix), un serveur DNS Knot (service différent par rapport au tutoriel précédent: nous avions utilisé Bind9 ), un serveur Web (Apache), un bouncer IRC, un serveur Git (gogs ou Gitea).
Nous aurions pu faire d'autres choix, comme Unbound (DNS), Citadel (courrier), etc.

**Note**: j'ai voulu utiliser le format **Markdown** pour écrire ce tuto; une manière de tester, d'apprendre le markdown. J'avoue qu'après des années d'utilisation de LaTeX et de Docbook, j'ai vraiment galéré: j'ai mis en place des vérificateurs de syntaxe markdown, utilisé des éditeurs spécialisés comme Stackedit, Dillinger (je ferai une partie pour expliquer l'installation de ces services en "local"), des extensions spécifiques à VisualCode, SublimeText ou Atom. Toutes ces solutions donnent un markdown valide différent, qui n'est pas transformé correctement si on change de convertisseur. Je sais qu'il y a plusieurs versions de markdown, mais elles pourraient être compatibles entre elles. Des outils comme **mkdocs** sont remarquables, mais markdown, pas à mon goût. J'aime ce qui est clair et reproductible.

Pour l'édition de cette version, je m'appuie sur l'éditeur **Atom** avec le plugin **markdownlint** en espérant que l'édition en sera plus facile et reproductible (oui, je suis têtu).
