# Installation de fail2ban

Fail2ban nous permet de contrer les attaques de «brute force.»

Il met automatique en quarantaine les IPs attaquantes en analysant les fichiers de log.

## Installation

    pi@raspberrypi:~ $ sudo apt install fail2ban && sudo apt clean
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Les paquets supplémentaires suivants seront installés : 
    python3-pyinotify python3-systemd whois
    Paquets suggérés :
    mailx monit sqlite3 python-pyinotify-doc
    Les NOUVEAUX paquets suivants seront installés :
    fail2ban python3-pyinotify python3-systemd whois
    0 mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
    Il est nécessaire de prendre 514 ko dans les archives.
    Après cette opération, 2 410 ko d'espace disque supplémentaires seront utilisés.
    Souhaitez-vous continuer ? [O/n] o
    Réception de :2 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/raspbian/raspbian buster/main armhf fail2ban all 0.10.2-2.1 [385 kB]
    Réception de :1 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf whois armhf 5.4.3 [68,6 kB]
    Réception de :3 http://mirrors.ircam.fr/pub/raspbian/raspbian buster/main armhf python3-pyinotify all 0.9.6-1 [26,9 kB]
    Réception de :4 http://ftp.igh.cnrs.fr/pub/os/linux/raspbian/raspbian buster/main armhf python3-systemd armhf 234-2+b1 [34,1 kB]
    514 ko réceptionnés en 2s (330 ko/s)       
    Sélection du paquet whois précédemment désélectionné.
    (Lecture de la base de données... 43868 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../archives/whois_5.4.3_armhf.deb ...
    Dépaquetage de whois (5.4.3) ...
    Sélection du paquet fail2ban précédemment désélectionné.
    Préparation du dépaquetage de .../fail2ban_0.10.2-2.1_all.deb ...
    Dépaquetage de fail2ban (0.10.2-2.1) ...
    Sélection du paquet python3-pyinotify précédemment désélectionné.
    Préparation du dépaquetage de .../python3-pyinotify_0.9.6-1_all.deb ...
    Dépaquetage de python3-pyinotify (0.9.6-1) ...
    Sélection du paquet python3-systemd précédemment désélectionné.
    Préparation du dépaquetage de .../python3-systemd_234-2+b1_armhf.deb ...
    Dépaquetage de python3-systemd (234-2+b1) ...
    Paramétrage de whois (5.4.3) ...
    Paramétrage de fail2ban (0.10.2-2.1) ...
    Created symlink /etc/systemd/system/multi-user.target.wants/fail2ban.service → /lib/systemd/system/fail2ban.service.
    [fail2ban-tmpfiles.conf:1] Line references path below legacy directory /var/run/, updating /var/run/fail2ban → /run/fail2ban; please update the tm
    pfiles.d/ drop-in file accordingly.
    Paramétrage de python3-pyinotify (0.9.6-1) ...
    Paramétrage de python3-systemd (234-2+b1) ...
    Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
    Traitement des actions différées (« triggers ») pour systemd (241-7~deb10u6+rpi1) ...
    pi@raspberrypi:~ $

## Paramétrage de fail2ban

Dans un premier temps, rien n'est à configurer. L'installation de base configure la surveillance de **ssh** par défaut.

Le fichier qui controle ce fonctionnement est /etc/fail2ban/jail.d/defaults-debian.conf

Par défaut, il contient:

    pi@raspberrypi:~ $ sudo cat /etc/fail2ban/jail.d/defaults-debian.conf 
    [sshd]
    enabled = true
    pi@raspberrypi:~ $

Nous rajouterons des ports à surveiller selon les services que nous installerons.