# Bienvenue sur ma page de tutoriels

##  **Utilisation de Anki**

**Anki** est un logiciel d'apprentissage/révision fonctionnant comme des cartes à retourner. Mais en beaucoup plus puissant.

Je montrerai comment organiser ses **decks**, créer les **notes** et les ** ** qui permettent d'augmenter considérablement l'utilité et le plaisir d'utilisation du logiciel.

Je développerai également la création de listes de travail (surtout pour l'étude des langues) à partir de cours disponibles sur Internet, de listes de fréquences de mots (les mots les plus utilisés,) de listes personnelles (compilées au fur et à mesure de ses lectures), de l'ajout de sons, d'images qui étendent encore les possibilités de révision et apprentissage.

Les listes développées à mon usage personnel (apprentissage du russe et du chinois) sont disponibles sur [git.yojik.eu](https://git.yojik.eu).

##  **Installation de serveurs**

Voilà 3 tutoriels dont le sujet est l'installation d'un serveur sécurisé. Il y en a 3 versions:

*   Première version pour Debian Stretch;
*   Deuxième version pour Debian Buster;
*   Troisème version pour Debian/Buster sur RaspberryPI.

La version pour Debian Stretch n'est pas terminée, mais bien avancée. Un déménagement, un changement de boulot, réfection totale de notre appartement a mis de côté mes travaux sur le tutoriel, de telle façon que Debian a réussi à passer en version Buster avant que je ne finisse ! Oui, les travaux ont été très longs (et pas encore finis!).

La version pour Buster verra apparaître un processus d'automatisation avec Ansible que je développerai au fur et à mesure, en parallèle d'une configuration toute manuelle, ainsi que l'apparition de mesures de sécurité renforcée avec OTP (one time password), et gestion de l'authentification par clef **openpgp** sur carte à puce.

Pour des explications en profondeur sur tout ce qui concerne **openpgp**, je vous renvoie à tous les articles de [gouttegd](https://linuxfr.org/users/gouttegd) sur [linuxfr.org](https://linuxfr.org) : ils sont excellentissimes et me rappellent avec plaisir «pascalissime,» la revue publiée par John Collibri dans les années 80/90.

Le choix des logiciels sera aussi différent : **knot** comme serveur **DNS** par exemple.

Et tout se fera avec le temps, en fonction de mes disponibilités.

Vous pouvez me joindre par mail sur 'eric at yojik.eu' pour toute remarque (que j'espère la plus constructive possible 😁.)

Eric
